using System.Runtime.Serialization;
using WCS.Entity.Protocol.Protocol.Robot;

namespace WCS.Entity.Protocol.Robot
{
    [DataContract]
    public class WCS_Robot531 : IRobot531
    {
        [DataMember(Order = 0)]
        public int TaskNo1 { get; set; }

        [DataMember(Order = 1)]
        public int TaskNo2 { get; set; }

        [DataMember(Order = 2)]
        public int TaskNo3 { get; set; }

        [DataMember(Order = 3)]
        public int TaskNo4 { get; set; }

        [DataMember(Order = 4)]
        public int TaskNo5 { get; set; }

        [DataMember(Order = 5)]
        public int TaskNo6 { get; set; }

        [DataMember(Order = 6)]
        public int TaskNo7 { get; set; }

        [DataMember(Order = 7)]
        public int TaskNo8 { get; set; }

        [DataMember(Order = 8)]
        public int TaskNo9 { get; set; }

        [DataMember(Order = 9)]
        public int TaskNo10 { get; set; }

        [DataMember(Order = 10)]
        public int TaskNo11 { get; set; }

        [DataMember(Order = 11)]
        public int TaskNo12 { get; set; }

        [DataMember(Order = 12)]
        public int TaskNo13 { get; set; }

        [DataMember(Order = 13)]
        public int TaskNo14 { get; set; }

        [DataMember(Order = 14)]
        public int TaskNo15 { get; set; }

        [DataMember(Order = 15)]
        public int TaskNo16 { get; set; }

        [DataMember(Order = 16)]
        public int TaskNo17 { get; set; }

        [DataMember(Order = 17)]
        public int TaskNo18 { get; set; }

        [DataMember(Order = 18)]
        public int TaskNo19 { get; set; }

        [DataMember(Order = 19)]
        public int TaskNo20 { get; set; }

        [DataMember(Order = 20)]
        public int TaskNo21 { get; set; }

        [DataMember(Order = 21)]
        public int TaskNo22 { get; set; }

        [DataMember(Order = 22)]
        public int TaskNo23 { get; set; }

        [DataMember(Order = 23)]
        public int TaskNo24 { get; set; }

        [DataMember(Order = 24)]
        public int TaskNo25 { get; set; }

        [DataMember(Order = 25)]
        public int TaskNo26 { get; set; }

        [DataMember(Order = 26)]
        public int TaskNo27 { get; set; }

        [DataMember(Order = 27)]
        public int TaskNo28 { get; set; }

        [DataMember(Order = 28)]
        public int TaskNo29 { get; set; }

        [DataMember(Order = 29)]
        public int TaskNo30 { get; set; }

        [DataMember(Order = 30)]
        public short Type { get; set; }

        [DataMember(Order = 31)]
        public short MaxQuantity { get; set; }

        [DataMember(Order = 32)]
        public short Quantity { get; set; }

        [DataMember(Order = 33)]
        public RobotCmdType CmdType { get; set; }

        [DataMember(Order = 34)]
        public short VoucherNo { get; set; }
    }
}
